Bug 222972 - kernel halts while booting in Virtual PC
kernel halts while booting in Virtual PC
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jarod Wilson
Brian Brock
:
Depends On:
Blocks: 197865 425461
  Show dependency treegraph
 
Reported: 2007-01-17 03:36 EST by Christoph Görn
Modified: 2008-08-19 21:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-07 16:20:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot of halted kernel (20.61 KB, image/png)
2007-01-17 03:36 EST, Christoph Görn
no flags Details

  None (edit)
Description Christoph Görn 2007-01-17 03:36:35 EST
Description of problem:
While booting the RHEL Install DVD the kernel halts with an error. I have tried
to install RHEL into a Virtual PC guest on a Apple G5 system. Booting the kernel
with "linux noprobe acpi=off noapci mem=256M" halted the kernel right after the
first CPU was started. see screenshot below

Version-Release number of selected component (if applicable):
Kenel 2.6 RHEL5rc1

Steps to Reproduce:
1. start Virtual PC guest
2. hit return in RHEL installer
  
Actual results:
kernel halted

Expected results:
RHEL installer should start

Additional info:
This is on a Apple G5 Virtual PC guest.
Comment 1 Christoph Görn 2007-01-17 03:36:35 EST
Created attachment 145778 [details]
screenshot of halted kernel
Comment 2 Christoph Görn 2007-01-17 04:46:53 EST
Fedora-mostcurrent i386 Rescue CD boots and runs ok...
Comment 3 RHEL Product and Program Management 2007-01-17 10:40:31 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 Daniel Riek 2007-01-17 10:53:21 EST
This is emulation via virtual PC on a PPC mac. There is no way we can fix that
for 5.0 

Proposing to document that it will not wokr.
Comment 5 RHEL Product and Program Management 2007-01-17 11:01:07 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 11 Jarod Wilson 2007-09-21 15:56:45 EDT
Christoph, can you reproduce the original bug report with the latest VirtualPC
and the latest RHEL5 kernel? I've got the latest VirtualPC up and running on my
PowerBook G4 now, and am hoping to make some progress on this bug.
Comment 12 Christoph Görn 2007-10-26 03:49:59 EDT
No, I have no license for the lates VirtualPC. From my point of view this bug
could be closed.
Comment 13 Linda Wang 2008-03-07 16:20:00 EST
closed per customer request, see comment#12.

Note You need to log in before you can comment on or make changes to this bug.